### Method

# Secret Service get_secrets_for_dbus_paths_sync

#### Declaration [src]

    GHashTable*
    secret_service_get_secrets_for_dbus_paths_sync (
      SecretService* self,
      const gchar** item_paths,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the secret values for a secret item stored in the service.

The items are represented by their D-Bus object paths. If you already have `SecretItem` proxy objects, use use `secret_item_load_secrets_sync()` to more simply get their secret values.

This method may block indefinitely and should not be used in user interface threads.

Items that are locked will not be included the results.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`item_paths`

  Type: `const gchar**`

  The D-Bus paths to items to retrieve secrets for.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GHashTable`

A newly allocated hash table of item_path keys to `SecretValue` values.

The caller of the method takes ownership of the data, and is responsible for freeing it.